%define zopeproductsdir  %{_libdir}/zope/lib/python/Products
%define zopeuser zope
%define productname ParsedXML
%define productver  1.3.1

Name:               zope-%{productname}
Summary:            A Zope product: Parsed XML
Version:            %{productver} 
Release:            1ogger00
Group:              Applications/Internet 
Requires:           zope >= 2.7.0
License:            GPL
URL:                http://www.zope.org/Members/faasen/ParsedXML
Source:             %{productname}-%{productver}.tgz
Vendor:             OGGER
Distribution:       Zope
Packager:           Ogger <ogger@ya.com>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch: 	    noarch

#----------------------------------------------------------------------
%description
Parsed XML allows you to use XML objects in the Zope environment. You
can create XML documents in Zope and leverage Zope to format, query,
and manipulate XML, using the standard W3C DOM.

#----------------------------------------------------------------------
%prep
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%setup -n %{productname}

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc CHANGES.txt CREDITS.txt INSTALL.txt LICENSE.Fourthought LICENSE.txt
%doc README.DOMProxy README.parseprint README.txt version.txt

%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/%{productname}
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/%{productname}/*

%postun
if [ $1 = 0 ]; then
    %{__rm} -rf %{zopeproductsdir}/%{productname}
fi

#----------------------------------------------------------------------
%changelog
* Mon Mar 25 2004 Ogger <ogger@ya.com> 1.3.1-1ogger00
- Initial release
